[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.CloseInput

Close the input stream of the process

## Declaration

Source position: processbody.inc line 114

`public procedure TPROCESS.CloseInput; virtual;`

## Description

CloseInput closes the input file descriptor of the process, that is, it closes the handle of the pipe to standard input of the process.

## See also

Input |  | Stream connected to standard input of the process.
StdErr |  | Stream connected to standard diagnostic output of the process.
Output |  | Stream connected to standard output of the process.
CloseOutput |  | Close the output stream of the process
CloseStdErr |  | Close the error stream of the process